
QGIS Application - Bug report #383

Crash when opening vector properties dialog on OS X

2006-11-11 11:27 PM - Gary Sherman

Status: Closed

Priority: Low

Assignee:

Category: GUI

Affected QGIS version: Regression?: No

Operating System: OS X Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 10442

Description

The vector dialog is never displayed. From the crash log:

Command: qgis

Path:    /Users/gsherman/qgis-build/qgis.app/Contents/MacOS/qgis

Parent:  [[WindowServer]] r609

Version: 0.8.0 (6081) (0.8.0)

PID:    7790

Thread: 0

Exception:  EXC_BAD_ACCESS (0x0001)

Codes:      KERN_PROTECTION_FAILURE (0x0002) at 0x00000028

Thread 0 Crashed:

0   com.apple.HIToolbox        0x93252640 HIWindowFrameView::GetWidgetFrame(void*, unsigned long, CGRect*) + 700

1   com.apple.HIToolbox        0x9324fec0 HIWindowFrameView::LayoutChildrenSelf() + 612

2   com.apple.HIToolbox        0x9322e5b0 HIView::LayoutChildren() + 76

3   com.apple.HIToolbox        0x93254e18 HIWindowFrameView::AttributesChanged() + 404

4   com.apple.HIToolbox        0x93253838 HIWindowFrameView::EventHandler(OpaqueEventHandlerCallRef*,

[[OpaqueEventRef]]*, void*) + 308

5   com.apple.HIToolbox        0x93207554 [[DispatchEventToHandlers]](EventTargetRec*, [[OpaqueEventRef]]*,

[[HandlerCallRec]]*) + 692

6   com.apple.HIToolbox        0x93206cac [[SendEventToEventTargetInternal]](OpaqueEventRef*, [[OpaqueEventTargetRef]]*,

[[HandlerCallRec]]*) + 372

7   com.apple.HIToolbox        0x93206b28 [[SendEventToEventTargetWithOptions]] + 40

8   com.apple.HIToolbox        0x9324627c [[SendSimpleWindowEvent]] + 100

9   com.apple.HIToolbox        0x93254b9c [[ChangeWindowAttributes]] + 812

10  [[QtGui]]                      0x01242828 QWidgetPrivate::setGeometry_sys(int, int, int, int, bool) + 268

11  libqgis_gui.0.dylib        0x039e08d4 Ui_QgsVectorLayerPropertiesBase::setupUi(QDialog*) + 13028

(ui_qgsvectorlayerpropertiesbase.h:401)

History

#1 - 2006-11-12 09:14 AM - anonymous -

More info - gdb backtrace:
Program received signal EXC_BAD_ACCESS, Could not access memory.

Reason: KERN_PROTECTION_FAILURE at address: 0x00000028

0x93252640 in HIWindowFrameView::GetWidgetFrame ()

(gdb) bt

#0  0x93252640 in HIWindowFrameView::GetWidgetFrame ()

#3905  0x9324fec0 in HIWindowFrameView::LayoutChildrenSelf ()

#3906  0x9322e5b0 in HIView::LayoutChildren ()

#3907  0x93254e18 in HIWindowFrameView::AttributesChanged ()

#3908  0x93253838 in HIWindowFrameView::EventHandler ()

#3909  0x93207554 in [[DispatchEventToHandlers]] ()

#3910  0x93206cac in [[SendEventToEventTargetInternal]] ()

#3911  0x93206b28 in [[SendEventToEventTargetWithOptions]] ()

#3912  0x9324627c in [[SendSimpleWindowEvent]] ()

#3913  0x93254b9c in [[ChangeWindowAttributes]] ()

#10 0x01242828 in QWidgetPrivate::setGeometry_sys () at util/qsystemtrayicon_mac.mm:346

#3914 0x039e08d4 in Ui_QgsVectorLayerPropertiesBase::setupUi (this=0x104b0f34, [[QgsVectorLayerPropertiesBase]]=0x104b0f20) at

../ui/ui_qgsvectorlayerpropertiesbase.h:398

#3915 0x0392e864 in [[QgsVectorLayerProperties]]::QgsVectorLayerProperties (this=0x104b0f20, lyr=0x1048e180, parent=0x0, fl=@0x0) at

qgsvectorlayerproperties.cpp:45

#3916 0x0391b0a0 in [[QgsVectorLayer]]::showLayerProperties (this=0x1048e180) at qgsvectorlayer.cpp:1269

#3917 0x020167e8 in [[QgsLegend]]::mouseDoubleClickEvent (this=0x104c2de0, e=0xbfffda48) at qgslegend.cpp:393

#3918 0x01222208 in QWidget::event () at util/qsystemtrayicon_mac.mm:346

#3919 0x0147809c in QAbstractItemView::viewportEvent () at util/qsystemtrayicon_mac.mm:346

#3920 0x011ee390 in QApplicationPrivate::notify_helper () at util/qsystemtrayicon_mac.mm:346

#3921 0x011f524c in QApplication::notify () at util/qsystemtrayicon_mac.mm:346

#3922 0x01230e54 in QApplicationPrivate::globalEventProcessor () at util/qsystemtrayicon_mac.mm:346

#3923 0x93207554 in [[DispatchEventToHandlers]] ()

#3924 0x93206cac in [[SendEventToEventTargetInternal]] ()

#3925 0x9320da60 in [[SendEventToEventTarget]] ()

#3926 0x012425b0 in QWidgetPrivate::qt_window_event () at util/qsystemtrayicon_mac.mm:346

#3927 0x93207554 in [[DispatchEventToHandlers]] ()

#3928 0x93206cac in [[SendEventToEventTargetInternal]] ()

#3929 0x9320da60 in [[SendEventToEventTarget]] ()

#3930 0x93299d48 in [[HandleMouseEventForWindow]] ()

#3931 0x932992c0 in [[HandleMouseEvent]] ()

#3932 0x9320ddcc in [[ToolboxEventDispatcherHandler]] ()

#3933 0x932077a4 in [[DispatchEventToHandlers]] ()

#3934 0x93206cac in [[SendEventToEventTargetInternal]] ()

#3935 0x9320da60 in [[SendEventToEventTarget]] ()

#3936 0x0122ab4c in qt_mac_send_event () at util/qsystemtrayicon_mac.mm:346

#3937 0x012366e8 in QEventDispatcherMac::processEvents () at util/qsystemtrayicon_mac.mm:346

#3938 0x010851fc in QEventLoop::processEvents ()

#36 0x01085440 in QEventLoop::exec ()

#37 0x01088c84 in QCoreApplication::exec ()

#38 0x00007468 in main (argc=1, argv=0xffffffff) at main.cpp:609

#2 - 2006-11-12 10:38 PM - Gary Sherman
Crash occurs when setting size of dialog. Perhaps a Qt bug?

Partial gdb session:

398         size = size.expandedTo(QgsVectorLayerPropertiesBase->minimumSizeHint());

(gdb) n

399         [[QgsVectorLayerPropertiesBase]]->resize(size);

(gdb) p size

$14 = {

  wd = 483, 

  ht = 606

}

(gdb) n

Program received signal EXC_BAD_ACCESS, Could not access memory.

Reason: KERN_PROTECTION_FAILURE at address: 0x00000028

0x93252640 in HIWindowFrameView::GetWidgetFrame ()

#3 - 2006-11-25 10:34 AM - Gary Sherman

- Resolution set to fixed

- Status changed from Open to Closed

#4 - 2009-08-22 12:46 AM - Anonymous

Milestone Version 0.8 deleted
